package com.example.moslah_hamza.statsdemo;

/**
 * Created by JAMILA OMRANE on 16/03/2016.
 */
public class Limite {
    /**
     * Created by JAMILA OMRANE on 16/03/2016.
     */
    private String limitId;
    private double montant;
    private String dateDebut;
    private String dateFin;
    private String catName;
    private String mode;

    public Limite() {
        this.montant=0;
    }
    //constructeur pr insertion
    public Limite( double montant, String dateDebut, String dateFin, String catName,String mode) {
        this.dateFin = dateFin;
        this.montant = montant;
        this.dateDebut = dateDebut;
        this.catName=catName;
        this.mode=mode;
    }

    public Limite(String limitId,double montant, String catName, String mode) {

        this.limitId = limitId;
        this.montant = montant;

        this.catName=catName;
        this.mode=mode;
    }

    public Limite(String limitId, double montant, String dateDebut, String dateFin, String catName, String mode) {
        this.limitId = limitId;
        this.dateFin = dateFin;
        this.montant = montant;
        this.dateDebut = dateDebut;
        this.catName=catName;
        this.mode=mode;
    }

    public String getLimitId() {
        return limitId;
    }

    public double getMontant() {
        return montant;
    }

    public String getDateDebut() {
        return dateDebut;
    }

    public String getDateFin() {
        return dateFin;
    }

        public String getCat() {

        return catName;
    }

    public String getMode()
    {
        return mode;
    }

    public void setLimitId(String limitId) {
        this.limitId = limitId;
    }

    public void setMontant(double montant) {
        this.montant = montant;
    }

    public void setDateDebut(String d ) {
        //this.dateDebut = dateDebut;
        this.dateDebut =d;
    }

    public void setDateFin(String d ) {
        //this.dateFin = dateFin;
        this.dateFin =d;

    }

    public void setCat(String cat) {
        this.catName = cat;
    }

    public void setMode(String mode){
        this.mode=mode;

    }

    @Override
    public String toString() {
        return "Limite{" +
                "limitId='" + limitId + '\'' +
                ", montant=" + montant +
                ", dateDebut=" + dateDebut +
                ", dateFin=" + dateFin +
                ", mode=" + mode +
                '}';
    }
}
